Bug 184586 - daap plugin gets access denied from dbus/audio cd support can't find hal
daap plugin gets access denied from dbus/audio cd support can't find hal
Status: CLOSED INSUFFICIENT_DATA
Product: Fedora
Classification: Fedora
Component: banshee (Show other bugs)
9
All Linux
medium Severity medium
: ---
: ---
Assigned To: Nigel Jones
Fedora Extras Quality Assurance
: Reopened
Depends On:
Blocks:
  Show dependency treegraph
 
Reported: 2006-03-09 19:15 EST by Thomas J. Baker
Modified: 2008-07-02 08:58 EDT (History)
3 users (show)

See Also:
Fixed In Version:
Doc Type: Bug Fix
Doc Text:
Story Points: ---
Clone Of:
Environment:
Last Closed: 2008-07-02 08:58:06 EDT
Type: ---
Regression: ---
Mount Type: ---
Documentation: ---
CRM:
Verified Versions:
Category: ---
oVirt Team: ---
RHEL 7.3 requirements from Atomic Host:
Cloudforms Team: ---


Attachments (Terms of Use)

  None (edit)
Description Thomas J. Baker 2006-03-09 19:15:10 EST
Description of problem:

continuity> banshee --debug
** Running Banshee in Debug Mode **
Warning: [3/9/2006 7:13:24 PM] (Cannot connect to NetworkManager) - An
available, working network connection will be assumed
Player Engine `Helix Framework Engine (hxclientkit)' failed init tests...
disabling (Couldn't create player)
Debug: [3/9/2006 7:13:26 PM] (Changed active playback engine) - GStreamer 0.10
Debug: [3/9/2006 7:13:26 PM] (Loaded primary playback engine) - GStreamer 0.10
Debug: [3/9/2006 7:13:26 PM] (Loaded Audio CD playback engine) - GStreamer 0.10
Warning: [3/9/2006 7:13:26 PM] (HAL context could not be created) - Could not
get device list from HAL; D-Bus may not be working or configured properly
Warning: [3/9/2006 7:13:26 PM] (Audio CD support will be disabled for this
instance) - HAL is not initialized
Warning: [3/9/2006 7:13:26 PM] (DAP support will be disabled for this instance)
- Cannot initialize DapCore because HalCore is not initialized
Warning: [3/9/2006 7:13:26 PM] (Could not initialize plugin `Daap') - Access denied

Version-Release number of selected component (if applicable):

continuity> rpm -q banshee avahi-sharp
banshee-0.10.7-1
avahi-sharp-0.6.9-3
continuity>


How reproducible:

I've got the same message on two machines.

Steps to Reproduce:
1. install banshee
2. run it
3.
  
Actual results:

Daap plugin says it can't be initialized.

Expected results:

Daap plugin works and sees other shared music sources.

Additional info:

Thanks for packaging this in the first place!
Comment 1 Thomas J. Baker 2006-03-10 14:40:27 EST
The updated version gives more information, or I just missed it before. Anyhoo,
seems like an selinux problem. I'll report a bug there.

zero> banshee --debug
** Running Banshee in Debug Mode **
Warning: [3/10/2006 2:22:15 PM] (Cannot connect to NetworkManager) - An
available, working network connection will be assumed
Player Engine `Helix Framework Engine (hxclientkit)' failed init tests...
disabling (Couldn't create player)
Debug: [3/10/2006 2:22:15 PM] (Changed active playback engine) - GStreamer 0.10
Debug: [3/10/2006 2:22:15 PM] (Loaded primary playback engine) - GStreamer 0.10
Debug: [3/10/2006 2:22:15 PM] (Loaded Audio CD playback engine) - GStreamer
0.10Warning: [3/10/2006 2:22:15 PM] (HAL context could not be created) - Could
not get device list from HAL; D-Bus may not be working or configured properly
Warning: [3/10/2006 2:22:15 PM] (Audio CD support will be disabled for this
instance) - HAL is not initialized
Warning: [3/10/2006 2:22:15 PM] (DAP support will be disabled for this instance)
- Cannot initialize DapCore because HalCore is not initialized
Warning: [3/10/2006 2:22:15 PM] (Could not initialize plugin `Daap') - Access denied
Debug: [3/10/2006 2:22:15 PM] (Registering Inotify watch) - /net/home/rcc/tjb/Music/
Starting Inotify threads
Warning: [3/10/2006 2:22:16 PM] (Could not connect to D-Bus) - D-Bus support
will be disabled for this instance: An SELinux policy prevents this sender from
sending this message to this recipient (rejected message had interface
"org.freedesktop.DBus" member "Hello" error name "(unset)" destination
"org.freedesktop.DBus")

(Banshee:19945): GdkPixbuf-WARNING **: GdkPixbufLoader finalized without calling
gdk_pixbuf_loader_close() - this is not allowed. You must explicitly end the
data stream to the loader before dropping the last reference.

(Banshee:19945): GdkPixbuf-WARNING **: GdkPixbufLoader finalized without calling
gdk_pixbuf_loader_close() - this is not allowed. You must explicitly end the
data stream to the loader before dropping the last reference.
Scanning library for tracks to update
Done scanning library
Processing track queue for pending queries
Done processing track queue
zero>

Comment 2 Thomas J. Baker 2006-03-10 14:59:28 EST
This may actually be a bug as there are no selinux audit messages. Maybe a dbus
0.61 incompatibility?
Comment 3 Thomas J. Baker 2006-03-11 08:26:39 EST
With selinux disabled, the daap plugin does initialize fine. Still complains
about dbus but everything else is fine:

: Could not grab key 160 (maybe another application has grabbed this key)
Warning: [3/11/2006 8:22:44 AM] (Could not connect to D-Bus) - D-Bus support
will be disabled for this instance: Object reference not set to an instance of
an object

(Banshee:5368): GdkPixbuf-WARNING **: GdkPixbufLoader finalized without calling
gdk_pixbuf_loader_close() - this is not allowed. You must explicitly end the
data stream to the loader before dropping the last reference.

(Banshee:5368): GdkPixbuf-WARNING **: GdkPixbufLoader finalized without calling
gdk_pixbuf_loader_close() - this is not allowed. You must explicitly end the
data stream to the loader before dropping the last reference.
Building initial DAAP database from local library...
Starting DAAP Server
Scanning library for tracks to update
Done scanning library

The selinux bug is #185121
Comment 4 Simon Goodall 2006-04-02 08:11:42 EDT
I have been having similar problems trying to use the gnome-applet-music to
control banshee. It uses dbus. I have enforced set and banshee says it can't
connect due to selinux, and when running after "setenforce 0", it says;

Warning: [4/2/2006 1:15:52 PM] (Could not connect to D-Bus) - D-Bus support will
be disabled for this instance: Object reference not set to an instance of an object
Comment 5 Red Hat Bugzilla 2007-02-05 14:18:53 EST
REOPENED status has been deprecated. ASSIGNED with keyword of Reopened is preferred.
Comment 6 Christopher Aillon 2007-12-27 18:15:51 EST
I believe this works in rawhide now... can someone confirm?
Comment 7 Bug Zapper 2008-05-13 22:06:40 EDT
Changing version to '9' as part of upcoming Fedora 9 GA.
More information and reason for this action is here:
http://fedoraproject.org/wiki/BugZappers/HouseKeeping
Comment 8 Nigel Jones 2008-05-31 08:41:34 EDT
We now have Banshee 0.99.1 in updates, 0.99.2 in updates-testing and 0.99.3
getting ready to take over, can you please check if this bug still exists?

Thanks
Comment 9 petrosyan 2008-07-02 08:58:06 EDT
The information we've requested above is required in order
to review this problem report further and diagnose or fix the
issue if it is still present.  Since it has been thirty days or
more since we first requested additional information, we're assuming
the problem is either no longer present in the current Fedora release, or
that there is no longer any interest in tracking the problem.

Setting status to "CLOSED INSUFFICIENT_DATA".  If you still
experience this problem after updating to our latest Fedora
release and can provide the information previously requested,
please feel free to reopen the bug report.

Thank you in advance.

Note You need to log in before you can comment on or make changes to this bug.